export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  menuWidth: 250,
  menu:false,
  align: "center",
  refreshBtn: false,
  showColumnBtn: false,
  searchSize: "mini",
  searchMenuSpan: 9,
  delBtn: false,
  addBtn: false,
  editBtn: false,
  viewBtn: true,
  size: "small",
  column: [
    {
      label: "操作人",
      prop: "name",
      search: true
    },
    {
      label: "操作手机",
      prop: "type",
      search: true
    },
    {
      label: "终端",
      width: 180,
      prop: "title"
    },
    {
      label: "登录IP",
      prop: "remoteAddr"
    },
    {
      label: "操作时间",
      prop: "method",
      search: true,
      type: "datetime",
      rangeSeparator: "-",
      format: "yyyy-MM-dd",
      valueFormat: "yyyy-MM-dd",
      searchRange: true,
      searchSpan: 8,
    },
    {
      label: "操作类型",
      prop: "type",
      type: "select",
      search: true,
      dicData: [{
        label: '新增管理',
        value: 0
      }, {
        label: '编辑项目',
        value: 1
      }, {
        label: '删除项目',
        value: 2
      }, {
        label: '新增公司',
        value: 3
      }, {
        label: '编辑公司',
        value: 4
      }, {
        label: '删除公司',
        value: 5
      }, {
        label: '新增代理商',
        value: 6
      }, {
        label: '系统运营',
        value: 7
      }]
    },
    {
      label: '操作内容',
      prop: 'time',
      search: true
    }
  ]
};
export const tableOption1 = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  menuWidth: 150,
  menu:false,
  align: "center",
  refreshBtn: true,
  showClomnuBtn: false,
  searchSize: "mini",
  searchMenuSpan: 6,
  delBtn: false,
  addBtn: false,
  editBtn: false,
  viewBtn: true,
  props: {
    label: "label",
    value: "value"
  },
  column: [
    {
      label: "名称",
      prop: "name"
    },
    {
      label: "类型",
      prop: "type",
      type: "select",
      dicUrl: "/admin/dict/type/log_type"
      // search: true
    },
    {
      label: "标题",
      prop: "title"
    },
    {
      label: "IP地址",
      prop: "remoteAddr"
    },
    {
      label: "请求方式",
      prop: "method"
    },
    // {
    //   label: "客户端",
    //   prop: "serviceId"
    // },
    // {
    //   width: 80,
    //   label: '请求时间',
    //   prop: 'time'
    // },
    {
      width: 150,
      label: "登录时间",
      prop: "createTime",
      type: "datetime",
      rangeSeparator: "-",
      format: "yyyy-MM-dd HH:mm",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      // search: true,
      searchRange: true
    }
  ]
};
