import Layout from "@/page/index/";

export default [
  {
    path: "/info",
    component: Layout,
    redirect: "/info/index",
    children: [
      {
        path: "index",
        name: "个人信息",
        component: () =>
          import(/* webpackChunkName: "page" */ "@/views/admin/user/info"),
      },
      {
        path: "/help/index",
        name: "帮助中心",
        component: () => import( "@/views/admin/help/index"),
      },
      {
        path: "/Statistics/Insightintothedetails",
        component: () =>
          import(
            /* webpackChunkName: "page" */ "@/views/Statistics/Insightintothedetails"
          ),
        name: "洞察详情",
        meta: {
          keepAlive: true,
        },
      },
      {
        path: "/Template/Pinspeakwords",
        component: () =>
          import(
            /* webpackChunkName: "page" */ "@/views/Template/Pinspeakwords"
          ),
        name: "销讲模板",
      },
      {
        path: "/Receive/index",
        component: () =>
          import(/* webpackChunkName: "page" */ "@/views/Receive/index"),
        name: "接待详情",
      },
      {
        path: "/Customer/CustomerDetail",
        component: () =>
          import(
            /* webpackChunkName: "page" */ "@/views/Customer/CustomerDetail"
          ),
        name: "客户详情",
      },
      {
        path: "/contentManage/updateRecord/update",
        component: () =>
          import(
            /* webpackChunkName: "views" */ "@/views/contentManage/updateRecord/update"
          ),
        name: "更新",
      },
    ],
  },
  {
    path: "/activti",
    component: Layout,
    redirect: "/activti/detail",
    children: [
      {
        path: "detail/:id",
        component: () =>
          import(/* webpackChunkName: "views" */ "@/views/activiti/detail"),
      },
    ],
  },
];
